Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services.stats
Class LoggingStatsRecorder

    java.lang.Object
      org.jasig.portal.services.stats.MessageStatsRecorder
          org.jasig.portal.services.stats.LoggingStatsRecorder

All Implemented Interfaces:
  IStatsRecorder

    public class LoggingStatsRecorder

extends MessageStatsRecorder

Logs portal statistics to the portal's log as info.

Version:
  $Revision: 1.11 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`private static org.apache.commons.logging.Log` | `log`

Constructor Summary
`LoggingStatsRecorder()`

Method Summary
`protected void` | `outputMessage(java.lang.String message)` Prints portal statistics messages to the portal log.

Methods inherited from class org.jasig.portal.services.stats.MessageStatsRecorder
`recordChannelAddedToLayout, recordChannelDefinitionModified, recordChannelDefinitionPublished, recordChannelDefinitionRemoved, recordChannelInstantiated, recordChannelMovedInLayout, recordChannelRemovedFromLayout, recordChannelRendered, recordChannelTargeted, recordChannelUpdatedInLayout, recordFolderAddedToLayout, recordFolderMovedInLayout, recordFolderRemovedFromLayout, recordFolderUpdatedInLayout, recordLogin, recordLogout, recordSessionCreated, recordSessionDestroyed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

Constructor Detail

### LoggingStatsRecorder

    public LoggingStatsRecorder()

Method Detail

### outputMessage

    protected void outputMessage(java.lang.String message)

  Prints portal statistics messages to the portal log.

  Specified by:
    `outputMessage` in class `MessageStatsRecorder`
  Parameters:
    `message,` - the message to print

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD